﻿using GrapeCity.Forguncy.ServerApi;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo
{
    public class ModifyTablesDataDemo: ForguncyApi
    {
        [Post]
        public void ModifyTablesData()
        {
            StreamReader reader = new StreamReader(this.Context.Request.Body);
            string message = reader.ReadToEnd();
            var infoList = JsonConvert.DeserializeObject<Dictionary<string, ModifyData>>(message);
            DataAccess.ModifyTablesData(infoList);
        }

        [Get]
        public void TestAPI()
        {
            this.Context.Response.ContentType = "text/html";
            this.Context.Response.Write("<h>Hello World!</h>");
        }
    }
}
